Webhooks

Delete a webhook endpoint

DELETE /api/v1/webhooks/{webhookId}

Also deletes its delivery log.

API key access
Read and write
Project permission
None — acts on your own account
Success
200 — Deleted

Parameters

Path

ParameterTypeNotes
webhookId required string

Example request

Replace tk_live_YOUR_KEY with your API key and the ids with your own.

curl -X DELETE 'https://trackerv2.marketingplanet.global/api/v1/webhooks/6655f9b7d6a8c0e2f4b6d801' \
  -H 'Authorization: Bearer tk_live_YOUR_KEY'

Example response

200 OK
{
  "data": {
    "id": "6655f9b7d6a8c0e2f4b6d801",
    "deleted": true
  }
}

Response fields

FieldTypeNotes
data object
data.id string
data.deleted true

Errors

Besides the errors any request can return (bad or missing key, plan, scope, rate limit), this endpoint can return:

Statuserror.codeMeaning
404not-foundThe resource does not exist or you cannot open it. Tracker does not reveal which.

Errors always look like { "error": { "code": "…", "message": "…" } }. See Errors & limits.